rev 4514 - in kde-extras/icecream: tags/0.7.14-2/debian trunk/debian
Fathi Boudra
fboudra-guest at costa.debian.org
Sun Sep 17 22:59:35 UTC 2006
Author: fboudra-guest
Date: 2006-09-17 22:59:34 +0000 (Sun, 17 Sep 2006)
New Revision: 4514
Modified:
kde-extras/icecream/tags/0.7.14-2/debian/changelog
kde-extras/icecream/tags/0.7.14-2/debian/control
kde-extras/icecream/tags/0.7.14-2/debian/icecc.dirs
kde-extras/icecream/tags/0.7.14-2/debian/icecc.init
kde-extras/icecream/trunk/debian/changelog
kde-extras/icecream/trunk/debian/control
kde-extras/icecream/trunk/debian/icecc.dirs
kde-extras/icecream/trunk/debian/icecc.init
Log:
make init script LSB compliant
Modified: kde-extras/icecream/tags/0.7.14-2/debian/changelog
===================================================================
--- kde-extras/icecream/tags/0.7.14-2/debian/changelog 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/tags/0.7.14-2/debian/changelog 2006-09-17 22:59:34 UTC (rev 4514)
@@ -1,7 +1,7 @@
icecc (0.7.14-2) unstable; urgency=low
- * Add LSB section to init script
- * Use icecc.default instead of embedding it in postinst
+ * Make init script LSB compliant
+ * Split configuration file instead of embedding it in postinst
* Unmark Default field as translatable in debconf templates (Closes: #387521)
* Rewrite long description (Closes: #387096)
Modified: kde-extras/icecream/tags/0.7.14-2/debian/control
===================================================================
--- kde-extras/icecream/tags/0.7.14-2/debian/control 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/tags/0.7.14-2/debian/control 2006-09-17 22:59:34 UTC (rev 4514)
@@ -8,7 +8,8 @@
Package: icecc
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cdebconf | debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cdebconf | debconf,
+ lsb-base
Suggests: icecc-monitor
Description: distributed compiler (client and server)
icecc is a distributed compile system. It allows parallel compiling by
Modified: kde-extras/icecream/tags/0.7.14-2/debian/icecc.dirs
===================================================================
--- kde-extras/icecream/tags/0.7.14-2/debian/icecc.dirs 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/tags/0.7.14-2/debian/icecc.dirs 2006-09-17 22:59:34 UTC (rev 4514)
@@ -1 +1 @@
-var/cache/icecc
etc/icecc
\ No newline at end of file
+var/cache/icecc
etc/icecc
\ No newline at end of file
Modified: kde-extras/icecream/tags/0.7.14-2/debian/icecc.init
===================================================================
--- kde-extras/icecream/tags/0.7.14-2/debian/icecc.init 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/tags/0.7.14-2/debian/icecc.init 2006-09-17 22:59:34 UTC (rev 4514)
@@ -10,28 +10,25 @@
# sourcing /etc/default/icecc and /etc/icecc/icecc.conf.
### END INIT INFO
-DAEMONNAME=iceccd
-DAEMON=/usr/sbin/$DAEMONNAME
-SCHEDULERNAME=icecc-scheduler
-SCHEDULER=/usr/sbin/$SCHEDULERNAME
-DEFAULT=/etc/default/icecc
-CONF=/etc/icecc/icecc.conf
-DESC="Distributed Compiler Daemon"
+DAEMON=/usr/sbin/iceccd
+SCHEDULER=/usr/sbin/icecc-scheduler
+CONFIGFILE=/etc/icecc/icecc.conf
+DEFAULTFILE=/etc/default/icecc
# Read configuration files
-[ -r $CONF ] && . $CONF
-[ -r $DEFAULT ] && . $DEFAULT
+[ -r $CONFIGFILE ] && . $CONFIGFILE
+[ -r $DEFAULTFILE ] && . $DEFAULTFILE
test -x $DAEMON || exit 0
-set -e
+. /lib/lsb/init-functions
netname=
if test -n "$ICECC_NETNAME"; then
netname="-n $ICECC_NETNAME"
fi
-start_daemon() {
+start_icecc_daemon() {
logfile=""
if test -n "$ICECC_LOG_FILE"; then
logfile="-l $ICECC_LOG_FILE"
@@ -57,11 +54,11 @@
-d "$logfile" $nice $scheduler $netname -u icecc $basedir $maxjobs
}
-stop_daemon() {
+stop_icecc_daemon() {
start-stop-daemon --stop --quiet --signal TERM --oknodo --exec $DAEMON
}
-start_scheduler() {
+start_icecc_scheduler() {
if test -z "$ICECC_SCHEDULER_LOG_FILE"; then
ICECC_SCHEDULER_LOG_FILE="/var/log/icecc_scheduler"
fi
@@ -73,59 +70,49 @@
--exec $SCHEDULER -- -d $logfile $netname
}
-stop_scheduler() {
+stop_icecc_scheduler() {
start-stop-daemon --stop --quiet --signal TERM --oknodo --exec $SCHEDULER
}
case "$1" in
start)
if [ "$START_ICECC" == "true" ]; then
- echo -n "Starting $DESC: $DAEMONNAME"
- start_daemon
- echo "."
- else
- echo "START_ICECC is set to false in $DEFAULT"
- echo "$DAEMON not starting"
+ log_daemon_msg "Starting distributed compiler daemon" "iceccd"
+ start_icecc_daemon
+ log_end_msg $?
fi
if [ "$START_ICECC_SCHEDULER" == "true" ]; then
- echo -n "Starting $DESC: $SCHEDULERNAME"
- start_scheduler
- echo "."
- else
- echo "START_ICECC_SCHEDULER is set to false in $DEFAULT"
- echo "$SCHEDULER not starting"
+ log_daemon_msg "Starting distributed compiler scheduler" "icecc-scheduler"
+ start_icecc_scheduler
+ log_end_msg $?
fi
;;
stop)
- echo -n "Stopping $DESC: $DAEMONNAME"
- stop_daemon
- echo "."
- echo -n "Stopping $DESC: $SCHEDULERNAME"
- stop_scheduler
- echo "."
+ log_daemon_msg "Stopping distributed compiler daemon" "iceccd"
+ stop_icecc_daemon
+ log_end_msg $?
+
+ log_daemon_msg "Stopping distributed compiler scheduler" "icecc_scheduler"
+ stop_icecc_scheduler
+ log_end_msg $?
;;
restart|force-reload)
- #
- # If the "reload" option is implemented, move the "force-reload"
- # option to the "reload" entry above. If not, "force-reload" is
- # just the same as "restart".
- #
- echo -n "Restarting $DESC: $DAEMONNAME"
- stop_daemon
+ log_daemon_msg "Restarting distributed compiler daemon" "iceccd"
+ stop_icecc_daemon
sleep 1
if [ "$START_ICECC" == "true" ]; then
- start_daemon
+ start_icecc_daemon
fi
- echo "."
+ log_end_msg $?
- echo -n "Restarting $DESC: $SCHEDULERNAME"
- stop_scheduler
+ log_daemon_msg "Restarting distributed compiler scheduler" "icecc-scheduler"
+ stop_icecc_scheduler
sleep 1
if [ "$START_ICECC_SCHEDULER" == "true" ]; then
- start_scheduler
+ start_icecc_scheduler
fi
- echo "."
+ log_end_msg $?
;;
*)
N=/etc/init.d/icecc
Modified: kde-extras/icecream/trunk/debian/changelog
===================================================================
--- kde-extras/icecream/trunk/debian/changelog 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/trunk/debian/changelog 2006-09-17 22:59:34 UTC (rev 4514)
@@ -1,7 +1,7 @@
icecc (0.7.14-2) unstable; urgency=low
- * Add LSB section to init script
- * Use icecc.default instead of embedding it in postinst
+ * Make init script LSB compliant
+ * Split configuration file instead of embedding it in postinst
* Unmark Default field as translatable in debconf templates (Closes: #387521)
* Rewrite long description (Closes: #387096)
Modified: kde-extras/icecream/trunk/debian/control
===================================================================
--- kde-extras/icecream/trunk/debian/control 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/trunk/debian/control 2006-09-17 22:59:34 UTC (rev 4514)
@@ -8,7 +8,8 @@
Package: icecc
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cdebconf | debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cdebconf | debconf,
+ lsb-base
Suggests: icecc-monitor
Description: distributed compiler (client and server)
icecc is a distributed compile system. It allows parallel compiling by
Modified: kde-extras/icecream/trunk/debian/icecc.dirs
===================================================================
--- kde-extras/icecream/trunk/debian/icecc.dirs 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/trunk/debian/icecc.dirs 2006-09-17 22:59:34 UTC (rev 4514)
@@ -1 +1 @@
-var/cache/icecc
etc/icecc
\ No newline at end of file
+var/cache/icecc
etc/icecc
\ No newline at end of file
Modified: kde-extras/icecream/trunk/debian/icecc.init
===================================================================
--- kde-extras/icecream/trunk/debian/icecc.init 2006-09-17 21:42:44 UTC (rev 4513)
+++ kde-extras/icecream/trunk/debian/icecc.init 2006-09-17 22:59:34 UTC (rev 4514)
@@ -10,28 +10,25 @@
# sourcing /etc/default/icecc and /etc/icecc/icecc.conf.
### END INIT INFO
-DAEMONNAME=iceccd
-DAEMON=/usr/sbin/$DAEMONNAME
-SCHEDULERNAME=icecc-scheduler
-SCHEDULER=/usr/sbin/$SCHEDULERNAME
-DEFAULT=/etc/default/icecc
-CONF=/etc/icecc/icecc.conf
-DESC="Distributed Compiler Daemon"
+DAEMON=/usr/sbin/iceccd
+SCHEDULER=/usr/sbin/icecc-scheduler
+CONFIGFILE=/etc/icecc/icecc.conf
+DEFAULTFILE=/etc/default/icecc
# Read configuration files
-[ -r $CONF ] && . $CONF
-[ -r $DEFAULT ] && . $DEFAULT
+[ -r $CONFIGFILE ] && . $CONFIGFILE
+[ -r $DEFAULTFILE ] && . $DEFAULTFILE
test -x $DAEMON || exit 0
-set -e
+. /lib/lsb/init-functions
netname=
if test -n "$ICECC_NETNAME"; then
netname="-n $ICECC_NETNAME"
fi
-start_daemon() {
+start_icecc_daemon() {
logfile=""
if test -n "$ICECC_LOG_FILE"; then
logfile="-l $ICECC_LOG_FILE"
@@ -57,11 +54,11 @@
-d "$logfile" $nice $scheduler $netname -u icecc $basedir $maxjobs
}
-stop_daemon() {
+stop_icecc_daemon() {
start-stop-daemon --stop --quiet --signal TERM --oknodo --exec $DAEMON
}
-start_scheduler() {
+start_icecc_scheduler() {
if test -z "$ICECC_SCHEDULER_LOG_FILE"; then
ICECC_SCHEDULER_LOG_FILE="/var/log/icecc_scheduler"
fi
@@ -73,59 +70,49 @@
--exec $SCHEDULER -- -d $logfile $netname
}
-stop_scheduler() {
+stop_icecc_scheduler() {
start-stop-daemon --stop --quiet --signal TERM --oknodo --exec $SCHEDULER
}
case "$1" in
start)
if [ "$START_ICECC" == "true" ]; then
- echo -n "Starting $DESC: $DAEMONNAME"
- start_daemon
- echo "."
- else
- echo "START_ICECC is set to false in $DEFAULT"
- echo "$DAEMON not starting"
+ log_daemon_msg "Starting distributed compiler daemon" "iceccd"
+ start_icecc_daemon
+ log_end_msg $?
fi
if [ "$START_ICECC_SCHEDULER" == "true" ]; then
- echo -n "Starting $DESC: $SCHEDULERNAME"
- start_scheduler
- echo "."
- else
- echo "START_ICECC_SCHEDULER is set to false in $DEFAULT"
- echo "$SCHEDULER not starting"
+ log_daemon_msg "Starting distributed compiler scheduler" "icecc-scheduler"
+ start_icecc_scheduler
+ log_end_msg $?
fi
;;
stop)
- echo -n "Stopping $DESC: $DAEMONNAME"
- stop_daemon
- echo "."
- echo -n "Stopping $DESC: $SCHEDULERNAME"
- stop_scheduler
- echo "."
+ log_daemon_msg "Stopping distributed compiler daemon" "iceccd"
+ stop_icecc_daemon
+ log_end_msg $?
+
+ log_daemon_msg "Stopping distributed compiler scheduler" "icecc_scheduler"
+ stop_icecc_scheduler
+ log_end_msg $?
;;
restart|force-reload)
- #
- # If the "reload" option is implemented, move the "force-reload"
- # option to the "reload" entry above. If not, "force-reload" is
- # just the same as "restart".
- #
- echo -n "Restarting $DESC: $DAEMONNAME"
- stop_daemon
+ log_daemon_msg "Restarting distributed compiler daemon" "iceccd"
+ stop_icecc_daemon
sleep 1
if [ "$START_ICECC" == "true" ]; then
- start_daemon
+ start_icecc_daemon
fi
- echo "."
+ log_end_msg $?
- echo -n "Restarting $DESC: $SCHEDULERNAME"
- stop_scheduler
+ log_daemon_msg "Restarting distributed compiler scheduler" "icecc-scheduler"
+ stop_icecc_scheduler
sleep 1
if [ "$START_ICECC_SCHEDULER" == "true" ]; then
- start_scheduler
+ start_icecc_scheduler
fi
- echo "."
+ log_end_msg $?
;;
*)
N=/etc/init.d/icecc
More information about the pkg-kde-commits
mailing list